# Incremental auth

Incremental authorization operation creates additional authorization transactions on top of an estimated authorization to increase the total authorized amount for the order.
The payment configuration conditions must be met.Maximum 50 increments allowed per order.This operation creates a auth transaction with authorization_type incremental within the same order.

Endpoint: POST /increment
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `order_id` (string, required)
    Unique order identifier defined by the merchant, which can be used to find the payment.

  - `amount` (integer, required)
    Increment amount in the smallest currency unit.
For instance, 1020 means 10 EUR and 20 cents.The amount represents the increment value to add to the initial authorization, not the total amount.

## Request examples:

  - `Payment incremental auth` (unknown)

## Response 200:

  - `200` (unknown)
    Request received

## Response 200 fields (application/json):

  - `transaction` (object)
    Transaction details for the incremental authorization.

  - `transaction.id` (string)
    Unique transaction identifier.
    Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

  - `transaction.amount` (integer)
    Increment amount from the request in the smallest currency unit.
    Example: 500

  - `transaction.currency` (string)
    Currency code from the initial order.
    Example: EUR

  - `transaction.status` (string)
    Status of the transaction.
    Example: processing

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 200 examples:

  - `Success` (unknown)

  - `Authentication failed` (unknown)

  - `Error 2.01 Invalid data` (unknown)

  - `Error 2.01 Order not found` (unknown)

  - `Error 2.04 Card brand is not supported` (unknown)

  - `Error X.XX` (unknown)

